
% Definisanje parametera za ZK132 4-polni 7.5kW motor SEVER p.u. (r.j.)
% Podaci iz kataloga: ZK132 M-4, Pnom=7.5 kW, nnom=1445 rpm (rated slip 0.0367)
% Efficiency=87%, cos(fi)=0.85. Inom = 15.4A at 3x380V. Mnom=49.6Nm weight 73 kg.

Rs=0.038;      			    % stator resistance (measured Rs / base impedance)
Lm=1.9157;     			    % mutual inductance
Lr=2;          			    % rotor inductance
Ls=Lr;         			    % stator inductance
Le=(Lr*Ls-Lm*Lm)/Lr; 	    % equivalent leakage inductance
Rr=0.04;       			    % Tuned to get the rated slip at the rated current (Pfe losses...)
                            % (equals the rated slip : (nsync - nnom) / nsync)
Km=0.92/0.87/0.85;	  	    % Torque coeficcient 1/eta/cos fi  
                            % NOTICE: Due to the Pfe losses - unmodelled and friction and ventilation, KM 10% LOWER
Wnom=314.15926; 		    % Rated supply frequency
SlipNom=(1500-1445)/1500;   % Rated slip
Idnom=1/Lm;    			    % Rated magnetizing current
Inom=15.4; Unom=380;        % Rated motor line current and line-to-line voltage
Mnom=49.6;                  % Rated motor torque in Nm
Tr=Lr/Rr; 
Flux_ref=1;
Udc=500;                    % invertor DC voltage 
p=1;                        % number of poles pairs
N=12;                       % bits number of A/D convertor
Tauk=0.000005;              % time constant for LP filter

% Simulation parameters
Ts=0.000001;                % simulation step time
Tpwm=0.0001;                % period of PWM signal
freq_pwm=1/Tpwm;            % PWM frequency


SEARCH
